OpenCTM: CTMexporter Class Reference

# CTMexporter Class Reference

OpenCTM exporter class. More...

`#include <openctmpp.h>`

List of all members.

## Public Member Functions
| CTMexporter ()
| Constructor.
| ~CTMexporter ()
| Destructor.
void | CompressionMethod (CTMenum aMethod)
| Wrapper for ctmCompressionMethod().
void | CompressionLevel (CTMuint aLevel)
| Wrapper for ctmCompressionLevel().
void | VertexPrecision (CTMfloat aPrecision)
| Wrapper for ctmVertexPrecision().
void | VertexPrecisionRel (CTMfloat aRelPrecision)
| Wrapper for ctmVertexPrecisionRel().
void | NormalPrecision (CTMfloat aPrecision)
| Wrapper for ctmNormalPrecision().
void | UVCoordPrecision (CTMenum aUVMap, CTMfloat aPrecision)
| Wrapper for ctmUVCoordPrecision().
void | AttribPrecision (CTMenum aAttribMap, CTMfloat aPrecision)
| Wrapper for ctmAttribPrecision().
void | FileComment (const char *aFileComment)
| Wrapper for ctmFileComment().
void | DefineMesh (const CTMfloat *aVertices, CTMuint aVertexCount, const CTMuint *aIndices, CTMuint aTriangleCount, const CTMfloat *aNormals)
| Wrapper for ctmDefineMesh().
CTMenum | AddUVMap (const CTMfloat *aUVCoords, const char *aName, const char *aFileName)
| Wrapper for ctmAddUVMap().
CTMenum | AddAttribMap (const CTMfloat *aAttribValues, const char *aName)
| Wrapper for ctmAddAttribMap().
void | Save (const char *aFileName)
| Wrapper for ctmSave().
void | SaveCustom (CTMwritefn aWriteFn, void *aUserData)
| Wrapper for ctmSaveCustom().
| CTMexporter (const CTMexporter &v)
CTMexporter & | operator= (const CTMexporter &v)

## Detailed Description

OpenCTM exporter class.

This is a C++ wrapper class for an OpenCTM export context. Usage example:

     void MySaveFile(CTMuint aVertCount, CTMuint aTriCount, CTMfloat * aVertices,
       CTMuint * aIndices, const char * aFileName)
     {
       // Create a new OpenCTM exporter object
       CTMexporter ctm;

       // Define our mesh representation to OpenCTM (store references to it in
       // the context)
       ctm.DefineMesh(aVertices, aVertCount, aIndices, aTriCount, NULL);

       // Save the OpenCTM file
       ctm.Save(aFileName);
     }

## Constructor & Destructor Documentation

CTMexporter::CTMexporter | ( |  | ) | `[inline]`

Constructor.

CTMexporter::~CTMexporter | ( |  | ) | `[inline]`

Destructor.

CTMexporter::CTMexporter | ( | const CTMexporter & | v | ) |

## Member Function Documentation

CTMenum CTMexporter::AddAttribMap | ( | const CTMfloat * | aAttribValues,
|  | const char * | aName |
| ) |  |  | `[inline]`

Wrapper for ctmAddAttribMap().

CTMenum CTMexporter::AddUVMap | ( | const CTMfloat * | aUVCoords,
|  | const char * | aName,
|  | const char * | aFileName |
| ) |  |  | `[inline]`

Wrapper for ctmAddUVMap().

void CTMexporter::AttribPrecision | ( | CTMenum | aAttribMap,
|  | CTMfloat | aPrecision |
| ) |  |  | `[inline]`

Wrapper for ctmAttribPrecision().

void CTMexporter::CompressionLevel | ( | CTMuint | aLevel | ) | `[inline]`

Wrapper for ctmCompressionLevel().

void CTMexporter::CompressionMethod | ( | CTMenum | aMethod | ) | `[inline]`

Wrapper for ctmCompressionMethod().

void CTMexporter::DefineMesh | ( | const CTMfloat * | aVertices,
|  | CTMuint | aVertexCount,
|  | const CTMuint * | aIndices,
|  | CTMuint | aTriangleCount,
|  | const CTMfloat * | aNormals |
| ) |  |  | `[inline]`

Wrapper for ctmDefineMesh().

void CTMexporter::FileComment | ( | const char * | aFileComment | ) | `[inline]`

Wrapper for ctmFileComment().

void CTMexporter::NormalPrecision | ( | CTMfloat | aPrecision | ) | `[inline]`

Wrapper for ctmNormalPrecision().

CTMexporter& CTMexporter::operator= | ( | const CTMexporter & | v | ) |

void CTMexporter::Save | ( | const char * | aFileName | ) | `[inline]`

Wrapper for ctmSave().

void CTMexporter::SaveCustom | ( | CTMwritefn | aWriteFn,
|  | void * | aUserData |
| ) |  |  | `[inline]`

Wrapper for ctmSaveCustom().

void CTMexporter::UVCoordPrecision | ( | CTMenum | aUVMap,
|  | CTMfloat | aPrecision |
| ) |  |  | `[inline]`

Wrapper for ctmUVCoordPrecision().

void CTMexporter::VertexPrecision | ( | CTMfloat | aPrecision | ) | `[inline]`

Wrapper for ctmVertexPrecision().

void CTMexporter::VertexPrecisionRel | ( | CTMfloat | aRelPrecision | ) | `[inline]`

Wrapper for ctmVertexPrecisionRel().

The documentation for this class was generated from the following file:

- openctmpp.h

Copyright © 2009-2010 Marcus Geelnard — openctm.sourceforge.net